Package org.springframework.security.web.server

# Class DelegatingServerAuthenticationEntryPoint

java.lang.Object
org.springframework.security.web.server.DelegatingServerAuthenticationEntryPoint

All Implemented Interfaces:
  `ServerAuthenticationEntryPoint`

public class DelegatingServerAuthenticationEntryPoint extends Object implements ServerAuthenticationEntryPoint
A `ServerAuthenticationEntryPoint` which delegates to multiple `ServerAuthenticationEntryPoint` based on a `ServerWebExchangeMatcher`

Since:
  5.0

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DelegatingServerAuthenticationEntryPoint.DelegateEntry`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingServerAuthenticationEntryPoint(List<DelegatingServerAuthenticationEntryPoint.DelegateEntry> entryPoints)`
`DelegatingServerAuthenticationEntryPoint(DelegatingServerAuthenticationEntryPoint.DelegateEntry... entryPoints)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`commence(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.AuthenticationException ex)`
Initiates the authentication flow
`void`
`setDefaultEntryPoint(ServerAuthenticationEntryPoint defaultEntryPoint)`
EntryPoint which is used when no RequestMatcher returned true

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingServerAuthenticationEntryPoint

public DelegatingServerAuthenticationEntryPoint(DelegatingServerAuthenticationEntryPoint.DelegateEntry... entryPoints)

### DelegatingServerAuthenticationEntryPoint

public DelegatingServerAuthenticationEntryPoint(List<DelegatingServerAuthenticationEntryPoint.DelegateEntry> entryPoints)

## Method Details

### commence

public reactor.core.publisher.Mono<Void> commence(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.AuthenticationException ex)
Description copied from interface: `ServerAuthenticationEntryPoint`
Initiates the authentication flow

Specified by:
  `commence` in interface `ServerAuthenticationEntryPoint`
Returns:
  `Mono<Void>` to indicate when the request for authentication is complete

### setDefaultEntryPoint

public void setDefaultEntryPoint(ServerAuthenticationEntryPoint defaultEntryPoint)
EntryPoint which is used when no RequestMatcher returned true